Summary:	Programs for dealing with floppy disks
Name:		fdutils
Version:	5.4
Release:	8mdk
URL:		http://fdutils.linux.lu
Source:		http://fdutils.linux.lu/%{name}-%{version}.tar.bz2
Patch0:		fdutils-manpages.patch.bz2
Patch1:		fdutils-Makefile-fixes.patch.bz2
License:	GPL
Group:		System/Kernel and hardware
ExclusiveOS:	Linux
BuildRequires:	flex tetex-latex texinfo
BuildRoot:	%{_tmppath}/%{name}-root

%description
This package contains utilities for configuring and debugging the
Linux floppy driver, for formatting extra capacity disks (up to 1992K
on a high density disk), for sending raw commands to the floppy
controller, etc.

NOTE:
This package contains files which supercede corresponding versions
in the man-pages and util-linux packages.  Therefore, the --replacefiles
(or --force) option to rpm may be needed to install this package.

%prep

%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure
%make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/{man1,man4}/
mkdir -p $RPM_BUILD_ROOT/%{_infodir}
mkdir -p $RPM_BUILD_ROOT/%{_bindir}

%makeinstall

cp src/mediaprm $RPM_BUILD_ROOT/%{_sysconfdir}

rm -f $RPM_BUILD_ROOT%{_bindir}/{diskd,diskseekd,setfdprm}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -z "$DURING_INSTALL" ]; then
  %_install_info fdutils.info 
fi

%preun
if [ "$1" = 0 ]; then
  %{__install_info} --delete fdutils.info
fi
      
%files
%defattr(-,root,floppy,755)
%{_bindir}/xdfcopy
%{_bindir}/floppycontrol
%{_bindir}/floppymeter
%{_bindir}/superformat
%{_bindir}/getfdprm
%{_bindir}/MAKEFLOPPIES
%{_bindir}/fdrawcmd
%{_bindir}/fdmount
%{_bindir}/fdumount
%{_bindir}/xdfformat
%{_bindir}/fdlist
%{_bindir}/fdmountd
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/mediaprm
%{_mandir}/man1/*
%{_mandir}/man4/*
%{_infodir}/*

%changelog
* Sat Jul 12 2003 Per yvind Karlsen <peroyvind@sintrax.net> 5.4-8mdk
- rebuild
- remove unpackaged files
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install

* Wed Nov 07 2001 Franois Pons <fpons@mandrakesoft.com> 5.4-7mdk
- added url tag.

* Thu Oct  4 2001 DindinX <odin@mandrakesoft.com> 5.4-6mdk
- remove setuid bit.
- rpmlint fixes.
- fix preun.
- fix url

* Sun Sep 09 2001 Stefan van der Eijk <stefan@eijk.nu> 5.4-5mdk
- BuildRequires:	flex tetex-latex

* Mon Jan 15 2001 Francis Galiegue <fg@mandrakesoft.com> 5.4-4mdk

- Files list fixes
- Many Makefile fixes (patch1)
- Don't use the %%make macro, it messes up bad with linking order in this
  one...

* Fri Dec 15 2000 David BAUDENS <baudens@mandrakesoft.com> 5.4-3mdk
BuildRequires: texinfo

* Tue Jul 25 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 5.4-2mdk
- BM
- use some macros

* Sat Jul 08 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.4-1mdk
- 5.4.

* Tue May 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.3-11mdk
- Fix buffer overvlow in fdmount (Yoann).

* Mon May 15 2000 Anton Graham <darkimage@bigfoot.com> 5.3.10mdk
- Add % post and % preun
- Use % {_tmppath}
- Spec-helper cleanup

* Sun Apr 02 2000 Jerome Martin <jerome@mandrakesoft.com> 5.3-9mdk
- Fix rpm group and spec-helper issues

* Mon Jan 17 2000 Francis Galiegue <francis@mandrakesoft.com>
- Fixed build as non-root

* Thu Nov 18 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- build release

* Sun Jul 18 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- Fix up release number

* Wed Jul  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 5.3 version.
- Rewriting the .spec to be more Mandrake ;-)

* Sun Nov 29 1998 Paul H. Hargrove <hargrove@sccm.Stanford.EDU>
[5.2-4]
- Fix to be built by non-root
- Add conflict note in %desrciption

* Wed Apr 15 1998 Paul H. Hargrove <hargrove@sccm.Stanford.EDU>
[5.2-3]
- Use buildroot
